TESTING/EIG/ssxt1.f(3)

NAME
TESTING/EIG/ssxt1.f

SYNOPSIS

  Functions/Subroutines
real function ssxt1 (ijob, d1, n1, d2, n2, abstol, ulp, unfl)
SSXT1

Function/Subroutine Documentation

  real function ssxt1 (integer ijob, real, dimension( * ) d1, integer n1, real, dimension( * ) d2, integer n2, real abstol, real ulp, real unfl)

SSXT1

Purpose:

     SSXT1  computes the difference between a set of eigenvalues.
     The result is returned as the function value.
     IJOB = 1:   Computes   max { min | D1(i)-D2(j) | }
                             i     j
     IJOB = 2:   Computes   max { min | D1(i)-D2(j) | /
                             i     j
                                  ( ABSTOL + |D1(i)|*ULP ) }

Parameters
    IJOB

              IJOB is INTEGER
              Specifies the type of tests to be performed.  (See above.)

    D1

              D1 is REAL array, dimension (N1)
              The first array.  D1 should be in increasing order, i.e.,
              D1(j) <= D1(j+1).

    N1

              N1 is INTEGER
              The length of D1.

    D2

              D2 is REAL array, dimension (N2)
              The second array.  D2 should be in increasing order, i.e.,
              D2(j) <= D2(j+1).

    N2

              N2 is INTEGER
              The length of D2.

    ABSTOL

              ABSTOL is REAL
              The absolute tolerance, used as a measure of the error.

    ULP

              ULP is REAL
              Machine precision.

    UNFL

              UNFL is REAL
              The smallest positive number whose reciprocal does not
              overflow.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 104 of file ssxt1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.